@font-face {
  font-family: "Pokemon";
  src: url("./assets/fonts/Pokemon.ttf");
}

@font-face {
  font-family: "Pokemon-Bold";
  font-weight: bold;
  src: url("./assets/fonts/Pokemon Bold.ttf");
}

@font-face {
  font-family: "Birthstone-Regular";
  src: url("./assets/fonts/Birthstone-Regular.ttf");
}

@font-face {
  font-family: "Domine-VariableFont_wght";
  src: url("/assets/fonts/Domine/Domine-VariableFont_wght.ttf");
}

@font-face {
  font-family: "FreckleFace-Regular";
  src: url("/assets/fonts/Freckle_Face/FreckleFace-Regular.ttf");
}

body {
  font-family: Pokemon;
  margin: 0;
  scroll-behavior: smooth;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 100vh;

  ::-webkit-scrollbar {
    width: 5px;
    height: 0;
  }
  ::-webkit-scrollbar-track {
    background: rgba(99, 99, 99, 0.3);
  }
  ::-webkit-scrollbar-thumb {
    background: green;
  }
  ::-webkit-scrollbar-thumb:hover {
    background: rgba(99, 99, 99, 0.3);
  }
}

header {
  height: 5vh;
  width: 100%;
  background-color: rgba(99, 99, 99, 0.3);
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  align-items: center;
  font-family: Birthstone-Regular;
  letter-spacing: 9px;
}

main {
  height: 90vh;
  width: 100%;
  background-color: rgba(99, 99, 99, 0.3);
  display: flex;
  flex-direction: column;
  align-items: center;
}

footer {
  font-family: Birthstone-Regular;
  height: 5vh;
  width: 100%;
  background-color: rgba(99, 99, 99, 0.3);
  display: flex;
  flex-direction: column;
  align-items: center;
}

#mainDivId1 {
  max-width: 1920px;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: rgb(255, 255, 255);
}

.displayNone {
  display: none !important;
}

.center {
  justify-content: center;
}

p {
  margin: 0;
}

footer {
  display: flex;
  flex-direction: column;
  align-items: end;
  justify-content: center;
}

.footerText {
  margin-right: 30px;
}

#loaderCounter {
  width: 100vw;
  height: 100vh;
  font-size: 30px;
  position: fixed;
  left: 0;
  top: 0;
  color: white;
  display: flex;
  align-items: center;
  justify-content: center;
}

#loader {
  width: 100vw;
  height: 100vh;
  position: fixed;
  left: 0;
  top: 0;
  pointer-events: none;
  background-color: transparent;
  display: flex;
  align-items: center;
  justify-content: center;
}

#loader:after {
  content: "";
  display: block;
  width: 100px;
  height: 100px;
  border: 10px solid transparent;
  border-top: 10px solid white;
  border-radius: 50%;
  animation: mySpin 1s infinite;
}

@keyframes mySpin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

.dontTouch {
  user-select: none;
  pointer-events: none;
}
